/*
 * @(#)src/classes/sov/javax/print/attribute/PrintJobAttribute.java, print, asdev, 20060428 1.8
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */





/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 64632   250903 psuryana  Add IBM module header;
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

package javax.print.attribute;

/**
 * PrintJobAttribute is a tagging interface which a printing attribute 
 * class implements to indicate the attribute describes the status of a Print 
 * Job or some other characteristic of a Print Job. A Print Service 
 * instance adds a number of PrintJobAttributes to a Print Job's attribute set 
 * to report the Print Job's status. If an attribute implements {@link 
 * PrintRequestAttribute PrintRequestAttribute} as well as PrintJobAttribute, 
 * the client may include the attribute in a attribute set to
 * specify the attribute's value for the Print Job. 
 * <P>
 *
 * @see PrintRequestAttributeSet
 * @see PrintJobAttributeSet
 *
 * @author  Alan Kaminsky
 */
public interface PrintJobAttribute extends Attribute {
}
